<?php

/*********************************************************************

 ページトラックバック数表示プラグイン (2018/07/09)

 Copyright(C) 2009-2010 freo.jp
 32877｜http://32877.xii.jp

*********************************************************************/

/* メイン処理 */
function freo_display_page_trackback_count()
{
	global $freo;

	if (!$freo->smarty->get_template_vars('pages')) {
		return;
	}

	//ページID取得
	$page_keys = array_keys($freo->smarty->get_template_vars('pages'));

	//データ初期化
	$trackback_counts = array();
	$target = 'WHERE id IS NOT NULL';
	foreach ($page_keys as $page) {
		$trackback_counts[$page] = 0;
		$target .= ' OR page_id == \'' . $page . '\'';

	}

	//エントリーごとのトラックバック数取得
	$stmt = $freo->pdo->query('SELECT page_id, COUNT(*) FROM ' . FREO_DATABASE_PREFIX . 'trackbacks ' . $target . ' GROUP BY page_id');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	while ($data = $stmt->fetch(PDO::FETCH_NUM)) {
		$trackback_counts[$data[0]] = $data[1];
	}

	//データ割当
	$freo->smarty->assign(array(
		'plugin_page_trackback_counts' => $trackback_counts
	));

	return;
}

?>
